From 6f618b6862d625796c13677ff265bae21b44e029 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 13 Oct 2020 01:10:00 +0200
Subject: [PATCH 5/5] Don't add pam_systemd.so to pam.d/sddm-greeter in case of
 NO_SYSTEMD

---
 services/CMakeLists.txt      | 7 +++++--
 services/sddm-greeter.pam.in | 2 +-
 2 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/services/CMakeLists.txt b/services/CMakeLists.txt
index 441e46a..8e70fb1 100644
--- a/services/CMakeLists.txt
+++ b/services/CMakeLists.txt
@@ -12,10 +12,13 @@ if(DEFINED SYSTEMD_TMPFILES_DIR)
     install(FILES "${CMAKE_CURRENT_BINARY_DIR}/sddm-tmpfiles.conf" DESTINATION "${SYSTEMD_TMPFILES_DIR}" RENAME sddm.conf)
 endif()
 
+set(LOGIND_PAM_MODULE "session		optional")
 if(USE_ELOGIND)
-    set(LOGIND_PAM_MODULE "pam_elogind.so")
+    set(LOGIND_PAM_MODULE "${LOGIND_PAM_MODULE}	pam_elogind.so")
+elseif(NOT NO_SYSTEMD)
+    set(LOGIND_PAM_MODULE "${LOGIND_PAM_MODULE}	pam_systemd.so")
 else()
-    set(LOGIND_PAM_MODULE "pam_systemd.so")
+    set(LOGIND_PAM_MODULE "")
 endif()
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/sddm-greeter.pam.in" "${CMAKE_CURRENT_BINARY_DIR}/sddm-greeter.pam")
 
diff --git a/services/sddm-greeter.pam.in b/services/sddm-greeter.pam.in
index d41792d..35dcfd5 100644
--- a/services/sddm-greeter.pam.in
+++ b/services/sddm-greeter.pam.in
@@ -14,4 +14,4 @@ password	required pam_deny.so
 
 # Setup session
 session		required pam_unix.so
-session		optional @LOGIND_PAM_MODULE@
+@LOGIND_PAM_MODULE@
-- 
2.43.0

